pkgname=("cuda")
pkgver="10.0"
pkgrel="1.0"
pkgdesc="CUDA drivers"
arch=("any")
url="https://www.nvidia.com/"
license=("GPL")
makedepends=("binutils")

source=(
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-command-line-tools-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-compiler-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-core-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-cublas-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-cublas-dev-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-cudart-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-cudart-dev-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-cufft-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-cufft-dev-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-cuobjdump-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-cupti-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-curand-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-curand-dev-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-cusolver-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-cusolver-dev-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-cusparse-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-cusparse-dev-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-documentation-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-driver-dev-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-gdb-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-gdb-src-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-gpu-library-advisor-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-libraries-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-libraries-dev-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-license-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-memcheck-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-minimal-build-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-misc-headers-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-npp-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-npp-dev-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-nsight-compute-addon-l4t-10-0_10.0.326-1_all.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-nvcc-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-nvdisasm-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-nvgraph-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-nvgraph-dev-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-nvml-dev-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-nvprof-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-nvprune-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-nvrtc-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-nvrtc-dev-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-nvtx-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda-samples/cuda-samples-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-toolkit-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cuda/cuda-tools-10-0_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/d/deepstream-4.0/deepstream-4.0_4.0.2-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cublas/libcublas10_10.1.0.25940999-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cublas/libcublas-dev_10.1.0.25940999-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cudnn/libcudnn7_7.6.3.28-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cudnn/libcudnn7-dev_7.6.3.28-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/c/cudnn/libcudnn7-doc_7.6.3.28-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/libn/libnvidia-container/libnvidia-container0_0.9.0~beta.1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/libn/libnvidia-container/libnvidia-container-tools_0.9.0~beta.1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/libo/libopencv/libopencv_4.1.1-2-gd5a58aa75_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/libo/libopencv-dev/libopencv-dev_4.1.1-2-gd5a58aa75_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/libo/libopencv-python/libopencv-python_4.1.1-2-gd5a58aa75_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/libo/libopencv-samples/libopencv-samples_4.1.1-2-gd5a58aa75_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/libv/libvisionworks/libvisionworks_1.6.0.500n_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/libv/libvisionworks-dev/libvisionworks-dev_1.6.0.500n_all.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/libv/libvisionworks-samples/libvisionworks-samples_1.6.0.500n_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/libv/libvisionworks-sfm/libvisionworks-sfm_0.90.4_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/libv/libvisionworks-sfm-dev/libvisionworks-sfm-dev_0.90.4_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/libv/libvisionworks-tracking/libvisionworks-tracking_0.88.2_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/libv/libvisionworks-tracking-dev/libvisionworks-tracking-dev_0.88.2_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/n/nvidia-container-csv-cuda/nvidia-container-csv-cuda_10.0.326-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/n/nvidia-container-csv-cudnn/nvidia-container-csv-cudnn_7.6.3.28-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/n/nvidia-container-csv-tensorrt/nvidia-container-csv-tensorrt_6.0.1.10-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/n/nvidia-container-csv-visionworks/nvidia-container-csv-visionworks_1.6.0.500n_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/n/nvidia-container-runtime/nvidia-container-runtime_3.1.0-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/n/nvidia-container-toolkit/nvidia-container-toolkit_1.0.1-1_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/n/nvidia-docker2/nvidia-docker2_2.2.0-1_all.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/o/opencv-licenses/opencv-licenses_4.1.1-2-gd5a58aa75_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/v/vpi/vpi_0.1.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/v/vpi-dev/vpi-dev_0.1.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/graphsurgeon-tf_6.0.1-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/j/jetson-gpio/jetson-gpio-common_2.0.4_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/libnvinfer-bin_6.0.1-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/libnvinfer-dev_6.0.1-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/libnvinfer-doc_6.0.1-1+cuda10.0_all.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/libnvinfer-plugin-dev_6.0.1-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/libnvinfer-plugin6_6.0.1-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/libnvinfer-samples_6.0.1-1+cuda10.0_all.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/libnvinfer6_6.0.1-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/libnvonnxparsers-dev_6.0.1-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/libnvonnxparsers6_6.0.1-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/libnvparsers-dev_6.0.1-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/libnvparsers6_6.0.1-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/n/nvidia-jetpack/nvidia-jetpack_4.3-b134_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/j/jetson-gpio/python-jetson-gpio_2.0.4_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/python-libnvinfer_6.0.1-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/python-libnvinfer-dev_6.0.1-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/j/jetson-gpio/python3-jetson-gpio_2.0.4_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/python3-libnvinfer_6.0.1-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/python3-libnvinfer-dev_6.0.1-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/tensorrt_6.0.1.10-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/t210/pool/main/t/tensorrt/uff-converter-tf_6.0.1-1+cuda10.0_arm64.deb"
	"https://repo.download.nvidia.com/jetson/common/pool/main/v/vpi-samples/vpi-samples_0.1.0_arm64.deb"
)

md5sums=(
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
	"SKIP"
)

package-cuda-command-line-tools-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-compiler-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-core-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-cublas-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-cublas-dev-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-cudart-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-cudart-dev-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-cufft-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-cufft-dev-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-cuobjdump-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-cupti-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-curand-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-curand-dev-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-cusolver-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-cusolver-dev-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-cusparse-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-cusparse-dev-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-documentation-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-driver-dev-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-gdb-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-gdb-src-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-gpu-library-advisor-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-libraries-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-libraries-dev-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-license-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-memcheck-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-minimal-build-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-misc-headers-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-npp-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-npp-dev-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-nsight-compute-addon-l4t-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-nvcc-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-nvdisasm-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-nvgraph-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-nvgraph-dev-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-nvml-dev-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-nvprof-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-nvprune-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-nvrtc-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-nvrtc-dev-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-nvtx-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-samples-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-toolkit-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-cuda-tools-10-0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-deepstream-4.0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-libcublas10() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-libcublas-dev() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-libcudnn7() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-libcudnn7-dev() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-libcudnn7-doc() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-libnvidia-container0() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-libnvidia-container-tools() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-libopencv() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-libopencv-dev() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-libopencv-python() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-libopencv-samples() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-libvisionworks() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-libvisionworks-dev() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-libvisionworks-samples() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-libvisionworks-sfm() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-libvisionworks-sfm-dev() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-libvisionworks-tracking() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-libvisionworks-tracking-dev() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-nvidia-container-csv-cuda() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-nvidia-container-csv-cudnn() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-nvidia-container-csv-tensorrt() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-nvidia-container-csv-visionworks() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-nvidia-container-runtime() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-nvidia-container-toolkit() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-nvidia-docker2() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-opencv-licenses() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-vpi() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-vpi-dev() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-graphsurgeon-tf() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-jetson-gpio-common() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-libnvinfer-bin() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-libnvinfer-dev() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-libnvinfer-doc() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-libnvinfer-plugin-dev() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-libnvinfer-plugin6() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-libnvinfer-samples() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-libnvinfer6() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-libnvonnxparsers-dev() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-libnvonnxparsers6() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-libnvparsers-dev() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-libnvparsers6() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-nvidia-jetpack() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-python-jetson-gpio() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-python-libnvinfer() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-python-libnvinfer-dev() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-python3-jetson-gpio() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-python3-libnvinfer() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-python3-libnvinfer-dev() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-tensorrt() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-uff-converter-tf() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}
package-vpi-samples() {
    pkgdesc=$pkgname
    provides=($pkgname)

    ar x $srcdir/$pkgname*.deb --output $pkgdir
    tar xf $pkgdir/data.tar.* -C $pkgdir
    rm -rf $pkgdir/data.tar.* $pkgdir/control.tar.* $pkgdir/debian-binary $pkgdir/_gpgbuilder $srcdir/*.tar.*
}

unset pkgname

for pkg in ${source[@]}; do
	pkgname+=("$(echo $pkg | rev | cut -d"/" -f1 | rev | cut -d"_" -f1)")
done

for _p in "${pkgname[@]}"; do
  eval "package_$_p() {
    $(declare -f "package-${_p#$pkgbase}")
    package-${_p#$pkgbase}
  }"
done
